gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Special.HRuler

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A horizontal ruler

Synopsis

- data HRuler
- class RulerClass o => HRulerClass o
- castToHRuler :: GObjectClass obj => obj -> HRuler
- toHRuler :: HRulerClass o => o -> HRuler
- hRulerNew :: IO HRuler

# Detail

The `HRuler` widget is a widget arranged horizontally creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are `Pixels`, `Inches` and `Centimeters`. `Pixels` is the default. rulers.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Ruler
     | +----HRuler

# Types

data HRuler

Instances

Eq HRuler |
Ord HRuler |
GObjectClass HRuler |
HRulerClass HRuler |
RulerClass HRuler |
WidgetClass HRuler |
ObjectClass HRuler |

class RulerClass o => HRulerClass o

Instances

HRulerClass HRuler |

castToHRuler :: GObjectClass obj => obj -> HRuler

toHRuler :: HRulerClass o => o -> HRuler

# Constructors

hRulerNew :: IO HRuler

Creates a new horizontal ruler.